IIS配置PHP选择版本有讲究

2019-06-14 16:44  阅读 1,722 次

Windows下的PHP版本分两种:线程安全版本与非线程安全版本。

如果你打算使用IIS,则你可以以ISAPI或FastCGI这两种方式来安装PHP。CGI的方式因为效率低下,故不予考虑。

如果你要在IIS中以FastCGI方式使用PHP,则你应该使用PHP的非线程安全的版本(Non-Thread Safe,NTS)。原因是以FastCGI方式安装PHP时,PHP拥有独立的进程,并且FastCGI是单一线程的,不存在多个线程之间可能引发的相互干扰(这种干扰通常都是由于全局变量和静态变量导致的)。由于省去了线程安全的检查,因此使用FastCGI方式比ISAPI方式的效率更高一些。

如果你要在IIS中以ISAPI的方式使用PHP,则你应该使用PHP的线程安全版本(Thread Safe,TS)。原因是PHP以ISAPI方式安装时,PHP没有独立的进程,而是作为DLL被IIS加载运行的,即是依附于Web服务器进程的。当Web服务器运行在多线程模式下(IIS正是这种情况),PHP自然也就运行在多线程模式下。只要是在多线程模式下运行,就可能存在线程安全问题,因此应选择PHP的线程安全版本。

历史上的今天:

本文地址:http://www.sxzcn.com/4093.html
关注我们:请关注一下我们的微信公众号:扫描二维码书香斋的公众号,公众号:书香斋
温馨提示:文章内容系作者个人观点,不代表书香斋对观点赞同或支持。
版权声明:本文为转载文章,来源于 bookart ,版权归原作者所有,欢迎分享本文,转载请保留出处!本站资源仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,否则法律问题自行承担。

评论已关闭!